function B = FillDisp(A)
[m,n] = size(A);
CumA = cumsum(abs(A),2);
temp = A==0 & CumA ~=0;
[L,k] = bwlabel(temp);
B = zeros(m,n);


for i=1:k
   val = zeros(m,1);
   Vl = -1000*ones(m,1);
   Vr = -1000*ones(m,1);
   Lbw = L==i;
  [left,colL] = max(Lbw,[],2);
  CS = cumsum(Lbw,2);
%   colR = colL + CS(:,end)-1 ;
  [v,I] = sort(Lbw,2);
  colR = I(:,end);
  indRow = find(left);
  indL = my_sub2ind([m,n], indRow, colL(indRow)-1);
  indR = my_sub2ind([m,n], indRow, colR(indRow)+1);
  li = indL > 0;
  ri = indR < m*n+1;
  Vl(indRow(li)) = A(indL(li));
  Vr(indRow(ri)) = A(indR(ri));
  val(indRow) = max(Vl(indRow),Vr(indRow));
%   val(indRow) = Vl(indRow);
  Val = repmat(val,1,n);
  B = B + Val.*Lbw;
  
end
B = A+B;
return


