function Map = OutofFOV(Disp)
[m,n] = size(Disp);
[x,y] = meshgrid(1:n, 1:m);

Map = zeros(m,n);
Dmap = x+round(Disp);
% occulsion due to "out of FOV" in the borders of the image
Map(Dmap> n | Dmap < 1 ) = 1e9;
CDisp = cumsum(abs(Disp),2);
Map(CDisp==0) = 1e9;

end
