function  [e, j_source]  = VFE_Unreach(Disp, I_ref_2L, I_2L, M_source, j_unreach, beta, alpha,  NM_map)

NDisp = NormZeroOne(abs(Disp));
[m,n,c] = size(NDisp);   
G = zeros(m,n,2);
G(:,:,1) = I_ref_2L;
G(:,:,2) = NDisp;
% number of unreachable pixels
K = length(j_unreach);
SourceSeamMat = repmat(M_source, K, 1);
SLeftDiffVec = zeros(1, n, c);
SRightDiffVec = zeros(1, n, c);
 alpha_i = 1;
for i=1:2
  
    if(i==2)
        % scale the disparity vs. the intensity
        alpha_i = alpha;
    end
    
    [SLeftDiffVec(:,:,i), SRightDiffVec(:,:,i)]  = DiffVector(G(:,:,i));
    CSumLeft = [cumsum(SLeftDiffVec(1, 1:end-1, i)) Inf];
    CSumRight = [Inf cumsum(SRightDiffVec(1, 2:end, i))];
    
    for k=1:K     
        if(j_unreach(k)~=1)
            SourceSeamMat(k, [1:j_unreach(k)-1] ) =  SourceSeamMat(k, [1:j_unreach(k)-1] ) + ...
                beta*alpha_i*(CSumLeft(j_unreach(k)-1)-[0 CSumLeft(1:j_unreach(k)-2)]);
        end
        if(j_unreach(k)~=n)
            SourceSeamMat(k, [j_unreach(k)+1 :n]) =  ...
                                                SourceSeamMat(k, [j_unreach(k)+1:n]) + ... 
                                                beta*alpha_i*(CSumRight(j_unreach(k)+1:n)-CSumRight(j_unreach(k)));
         end
    end
end
% computing the vertical inserted energy
 [ VerticEMV, HoriznE] = MVEnergyUnreach(Disp, I_2L, j_unreach,NM_map);
 SourceSeamMat = SourceSeamMat + HoriznE + VerticEMV;
[e, j_source] =  min(SourceSeamMat') ;

end