function [Disp] = disp_update(Disp, x1, x2,Occluded)
[m,n] = size(Disp);
[x,y] = meshgrid(1:n,1:m);
% repmat the seam in the reference image
x1_s = repmat(x1,[1,n]);
% repmat the seam in the reference second image
x2_s =  repmat(x2,[1,n]);
% the corresponding pixels in the second image to x
mapD = x + Disp;

% all the pixels in I1 that will move left
X1_bigger = x > x1_s;
% all the corresponding pixels in I2 that soppuse to move left but are not.
% if  pixel (x,y) in X12_bigger it non-zero - means that the disprity is
% decrease by 1
X12_bigger = (mapD < x2_s) & (X1_bigger > 0) &  (Occluded==0);

% % all the pixels in I2 that will move left
% X2_bigger = mapD > x2_s;
% X21_bigger = x <  x1_s &  X2_bigger > 0;

% all the pixels in I2 that will move left
X1_left = x < x1_s;
X21_bigger = (mapD >  x2_s) &  (X1_left > 0) & (Occluded==0);


update_val = X21_bigger-X12_bigger;

if(~isempty(find(update_val ~=0)))
    disp('Disp update!!');
end
   
Disp = Disp - (Disp~=0).*update_val;

return
