function F = read_input(TxtPath)
F =[];
fid = fopen(TxtPath,'r');
i = 1;
while(~feof(fid))
    
l = fgetl(fid);
if(length(l)==0)
    continue;
end
if(strcmp(l(1), '%')==1)
    continue;
end
s = strfind(l, ' ');
f.ImageFolder = l(1:s(1)-1);

ind_l = strfind(l,'IL=');
temp= l(ind_l +3:end);
if(isempty(temp))
    disp('Wrong command. Enter the following: ImagesFolder IL={left image name} IR={right image name} beta={beta} gamma={gamma}');
    return;
end

s = strfind(temp, ' ');
if(~isempty(s))
    f.IL = temp(1:s(1)-1);
else
   f.IL = temp(1:end);
end

ind_r = strfind(l,'IR=');
temp= l(ind_r +3:end);
if(isempty(temp))
    disp('Wrong command. Enter the following: ImagesFolder IL={left image name} IR={right image name} alpha={alpha} beta={beta} gamma={gamma} pd={pd}');
    return;
end

s = strfind(temp, ' ');
if(~isempty(s))
    f.IR = temp(1:s(1)-1);
else
   f.IR = temp(1:end);
end


ind = strfind(l,'beta=');
temp= l(ind +5:end);
if(isempty(temp))
   f.beta = 0.68;

else
    s = strfind(temp, ' ');
    if(~isempty(s))
        f.beta = str2num(temp(1:s(1)-1));
    else
       f.beta = str2num(temp(1:end));
    end
end


ind = strfind(l,'gamma=');
temp= l(ind +6:end);
if(isempty(temp))
   f.gamma = 0.5;
else
    s = strfind(temp, ' ');
    if(~isempty(s))
        f.gamma = str2num(temp(1:s(1)-1));
    else
       f.gamma = str2num(temp(1:end));
    end
end

ind = strfind(l,'alpha=');
temp= l(ind +6:end);
if(isempty(temp))
   f.alpha = 1;
else
    s = strfind(temp, ' ');
    if(~isempty(s))
        f.alpha = str2num(temp(1:s(1)-1));
    else
       f.alpha = str2num(temp(1:end));
    end
end

ind = strfind(l,'pn=');
temp= l(ind +3:end);
if(isempty(temp))
   f.pn = 0.15;
else
    s = strfind(temp, ' ');
    if(~isempty(s))
        f.pn = str2num(temp(1:s(1)-1));
    else
       f.pn = str2num(temp(1:end));
    end
end

ind = strfind(l,'Disp=');
temp= l(ind +5:end);
if(isempty(temp))
   f.Disp = [];
else
    s = strfind(temp, ' ');
    if(~isempty(s))
        f.Disp = temp(1:s(1)-1);
    else
       f.Disp = temp(1:end);
    end
end

 F{i} = f;
 i = i+1;
end