function W =  ComputeWeights(I_ref, I, D, beta, gamma)

[m,n] = size(D);
[x,y] = meshgrid(1:n, 1:m);
Iw = imwrap(I, x+round(D), y, 'nointerp');

ND = NormZeroOne(abs(D));

Diff  = abs(I_ref-Iw);
W = (beta*ND +gamma*Diff);


