function   [e, j_source]  = VerticalForwardEnergy(G_2Lines, I_2Lines,M_source, j_unreach, beta, alpha, NM_map)
 Disp = G_2Lines(:,:,2);
 G_2Lines(:,:,2) =   Disp./mean(abs(Disp(find(Disp))));
[m,n,c] = size(G_2Lines);   
% number of unreachable pixels
K = length(j_unreach);
SourceSeamMat = repmat(M_source, K, 1);
SLeftDiffVec = zeros(1, n, c);
SRightDiffVec = zeros(1, n, c);
 
for i=1:2
    [SLeftDiffVec(:,:,i), SRightDiffVec(:,:,i)]  = DiffVector(G_2Lines(:,:,i));
    CSumLeft = cumsum(SLeftDiffVec(1, :, i));
    CSumRight = cumsum(SRightDiffVec(1, :, i));
    
    for k=1:K
        if(j_unreach(k)==250)
            disp('');
        end
        if(j_unreach(k)~=1)
            SourceSeamMat(k, [1:j_unreach(k)-1] ) =  SourceSeamMat(k, [1:j_unreach(k)-1] ) +...
                beta*(CSumLeft(j_unreach(k)-1)-[0 CSumLeft(1:j_unreach(k)-2)]);% /(j_unreach(k)-1:-1:1) ;
        end
        if(j_unreach(k)~=n)
            SourceSeamMat(k, [j_unreach(k)+1 :n]) =  ...
                                                SourceSeamMat(k, [j_unreach(k)+1:n]) + ... 
                                                beta*(CSumRight(j_unreach(k)+1:n)-CSumRight(j_unreach(k))); %/(1:n-j_unreach(k));
         end
    end
end
% computing the vertical inserted energy
%  [ VerticE, HoriznE1] = MVEnergyUnreach(zeros(size(I_2Lines)), G_2Lines(:,:,1), j_unreach,NM_map);
% 
%   [ VerticD, HoriznE2] = MVEnergyUnreach(zeros(size(I_2Lines)), G_2Lines(:,:,2), j_unreach,NM_map);

  [ VerticEMV, HoriznE] = MVEnergyUnreach(Disp, I_2Lines, j_unreach,NM_map);
 SourceSeamMat = SourceSeamMat + HoriznE + 2*VerticEMV;
[e, j_source] =  min(SourceSeamMat') ;

end